This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264700 - Review Request: ricochet - Anonymous peer-to-peer instant messaging
Review Request: ricochet - Anonymous peer-to-peer instant messaging
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 17:55 EDT by Gwyn Ciesla
Modified: 2016-06-19 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-18 14:35:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
comzeradd: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2015-09-20 17:55:57 EDT
Description:
Ricochet is an experiment with a different kind of instant messaging that
doesn't trust anyone with your identity, your contact list, or your
communications.
 * You can chat without exposing your identity (or IP address) to anyone
 * Nobody can discover who your contacts are or when you talk (meta-data-free!)
 * There are no servers to compromise or operators to intimidate for your
     information
 * It's cross-platform and easy for non-technical users

SRPM: https://fedorapeople.org/~limb/review/ricochet/ricochet-1.1.1-1.fc22.src.rpm
SPEC: https://fedorapeople.org/~limb/review/ricochet/ricochet.spec

rpmlint is clean except for a no-manpage warning; upstream doesn't provide one.
Comment 1 Christopher Meng 2015-09-20 19:22:20 EDT
Already packaged and being used by myself :)

Will review soon.
Comment 2 Christopher Meng 2015-09-20 19:51:02 EDT
1.   * There are no servers to compromise or operators to intimidate for your
     information

Why not one line?

2. 
qmake-qt5 DEFINES+=RICOCHET_NO_PORTABLE CONFIG+=release

ue %qmake_qt5.

3. Use macros for paths in %files.

https://github.com/ricochet-im/ricochet/blob/master/packaging/rpm/ricochet.spec#L53?

Don't copy spec in upstream sources, most of them don't know how to do packaging properly, but least make the software work.

4. install -m 0644 -D -p LICENSE %{buildroot}/%{_docdir}/%{name}/LICENSE
install -m 0644 -D -p AUTHORS.md %{buildroot}/%{_docdir}/%{name}/AUTHORS.md
install -m 0644 -D -p README.md %{buildroot}/%{_docdir}/%{name}/README.md

No, use %doc. Because you must also mark license file as %license.
Comment 3 Christopher Meng 2015-09-20 20:20:51 EDT
Uh, comment 1 is not right, submitted too fast.

 * Nobody can discover who your contacts are or when you talk (meta-data-free!)

80 chars, unfortunately. Drop the leading space.

 * There are no servers to compromise or operators to intimidate for your
     information

Better add a note in %description like tor about the privacy and security, no one has verified if it's really so-called "for real privacy". Honestly I never trust any softwares like ricochet or similar.
Comment 5 Gwyn Ciesla 2015-12-02 15:11:52 EST
Have you had a chance to look at this?
Comment 6 Nikos Roussos 2016-04-22 10:27:32 EDT
I built and installed it but it fails to run. Message I'm getting when I run it from terminal:
QQmlApplicationEngine failed to load component
qrc:/ui/main.qml:2 module "QtQuick.Controls" is not installed
qrc:/ui/main.qml:3 module "QtQuick.Layouts" is not installed
qrc:/ui/main.qml:2 module "QtQuick.Controls" is not installed
qrc:/ui/main.qml:3 module "QtQuick.Layouts" is not installed

and I get an GUI error:
"An error occurred while loading the Ricochet UI. You might be missing plugins or dependency packages."

I installed qt5-qtquickcontrols and it seems to work fine.
Comment 7 Gwyn Ciesla 2016-04-22 11:34:48 EDT
Thanks, good catch.  I updated to 1.1.2 and fixed the requires.  Christopher seems to have left Fedora work entirely, so if you'd like to take the review that would be great, and I'd be willing to take one of yours if you have one.

SRPM: https://fedorapeople.org/~limb/review/ricochet/ricochet-1.1.2-1.fc23.src.rpm
SPEC: https://fedorapeople.org/~limb/review/ricochet/ricochet.spec
Comment 8 Nikos Roussos 2016-06-09 08:36:11 EDT
It would be nice to have Ricochet on Fedora, so I'm willing to do the review. If you want to review one of mine the only thing I have at the moment is #1329886.
Comment 9 Gwyn Ciesla 2016-06-09 09:50:51 EDT
Thanks, I'll have a look!
Comment 10 Nikos Roussos 2016-06-09 16:24:53 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in ricochet
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 26 files have unknown
     license. Detailed output of licensecheck in
     /home/comzeradd/review/1264700-ricochet/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     ricochet-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ricochet-1.1.2-1.fc25.x86_64.rpm
          ricochet-debuginfo-1.1.2-1.fc25.x86_64.rpm
          ricochet-1.1.2-1.fc25.src.rpm
ricochet.x86_64: W: no-manual-page-for-binary ricochet
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ricochet-debuginfo-1.1.2-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
ricochet.x86_64: W: no-manual-page-for-binary ricochet
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
ricochet-debuginfo (rpmlib, GLIBC filtered):

ricochet (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libprotobuf.so.9()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    qt5-qtquickcontrols
    rtld(GNU_HASH)
    tor



Provides
--------
ricochet-debuginfo:
    ricochet-debuginfo
    ricochet-debuginfo(x86-64)

ricochet:
    application()
    application(ricochet.desktop)
    ricochet
    ricochet(x86-64)



Source checksums
----------------
https://ricochet.im/releases/1.1.2/ricochet-1.1.2-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 97c78d088892e84c95a3e3a4a982883d8e44028848a513a5d7e0231d36325cc3
  CHECKSUM(SHA256) upstream package : 97c78d088892e84c95a3e3a4a982883d8e44028848a513a5d7e0231d36325cc3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rawhide -b 1264700
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 11 Nikos Roussos 2016-06-09 16:27:20 EDT
Everything looks good. Spec is clean.

Approved.
Comment 12 Gwyn Ciesla 2016-06-09 16:30:11 EDT
Thanks, I'll fix the icon and desktop stuff prior to import.
Comment 13 Antonio Trande 2016-06-09 16:39:39 EDT
Various revision items are still empty ([ ]).
Are they passed or not ? :)
Comment 14 Gwyn Ciesla 2016-06-09 16:40:22 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ricochet
Comment 15 Nikos Roussos 2016-06-09 16:44:05 EDT
Yes, I noticed that after submitting the comment. It would also be nice to include an appdata file to show up on Software Center, but it's not mandatory.

Since I'm a regular Ricochet user I'd be interested to co-maintain it, if that's ok with you.
Comment 16 Nikos Roussos 2016-06-09 16:45:56 EDT
(In reply to Antonio Trande from comment #13)
> Various revision items are still empty ([ ]).
> Are they passed or not ? :)

These are either not applicable or have been checked manually.
Comment 17 Gwyn Ciesla 2016-06-09 16:50:48 EDT
(In reply to Nikos Roussos from comment #15)
> Yes, I noticed that after submitting the comment. It would also be nice to
> include an appdata file to show up on Software Center, but it's not
> mandatory.
> 
> Since I'm a regular Ricochet user I'd be interested to co-maintain it, if
> that's ok with you.

Sure, request ACLs and I'll approve.
Comment 18 Fedora Update System 2016-06-09 17:09:45 EDT
ricochet-1.1.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d484b97be
Comment 19 Fedora Update System 2016-06-09 17:09:52 EDT
ricochet-1.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8be49b4f
Comment 20 Fedora Update System 2016-06-09 17:09:56 EDT
ricochet-1.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a431412697
Comment 21 Fedora Update System 2016-06-10 14:00:06 EDT
ricochet-1.1.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d484b97be
Comment 22 Fedora Update System 2016-06-10 23:53:39 EDT
ricochet-1.1.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a431412697
Comment 23 Fedora Update System 2016-06-10 23:54:41 EDT
ricochet-1.1.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b8be49b4f
Comment 24 Fedora Update System 2016-06-18 14:35:03 EDT
ricochet-1.1.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-06-19 03:18:55 EDT
ricochet-1.1.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-06-19 03:26:11 EDT
ricochet-1.1.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.